Remove Foreign App By Registration Id (deprecated)
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/v2/authentication/foreign/{registrationId}/registration \
--header 'Authorization: Bearer <token>' \
--header 'x-challengecode: <x-challengecode>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/authentication/foreign/{registrationId}/registration"
headers = {
"x-challengecode": "<x-challengecode>",
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-challengecode': '<x-challengecode>',
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.jtl-cloud.com/erp/v2/authentication/foreign/{registrationId}/registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authentication
Remove Foreign App By Registration Id (deprecated)
deprecated
DEPRECATED seit Wawi 2.2.0: No-Op. Seit Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
DELETE
/
v2
/
authentication
/
foreign
/
{registrationId}
/
registration
Remove Foreign App By Registration Id (deprecated)
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
You can enter any custom value here. The X-ChallengeCode is used during app registration and must be the same for all registration requests. The maximum length is 30 characters.
The tenant ID for the target ERP instance.
Path Parameters
Unique identifier of the registration request
Response
204 - application/json
Neutral success response — die Anfrage wird angenommen, aber nicht ausgeführt.
Was this page helpful?
⌘I